import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
  BasicShapeModel
} from '@syncfusion/ej2-diagrams';
import {
  DiagramComponent, NodeModel
} from '@syncfusion/ej2-ng-diagrams';


/**
 * Default FlowShape sample
 */

@Component({
  selector: 'main-section',
  templateUrl: 'app/diagram/diagram.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FlowDiagramComponent {
  @ViewChild('diagram') public diagram: DiagramComponent;

  public nodes: NodeModel[] = [
    {
      id: 'imageNode', width: 100, height: 100, offsetX: 250, offsetY: 250,
      shape: { type: 'Image', source: 'https://ej2.syncfusion.com/demos/src/diagram/employees/image2.png' }
    }
  ];

  public imageClick(): void {
    // Check condition for which Node you want to change the Image content
    if (this.diagram.nodes[0].id === 'imageNode') {
      this.diagram.nodes[0].shape = { type: 'Image', source: 'https://ej2.syncfusion.com/demos/src/diagram/employees/image32.png' };
      this.diagram.dataBind();
    }
  }
}
